org.gnome.gtk

## Interface Assistant.ForwardPage

- Enclosing class:
    Assistant

      public static interface Assistant.ForwardPage

  The callback invoked when an Assistant wants to display another page. It helps you to determine what page to display after another one. Generally, when you will receive the callback, you will check the number of the current page and then display the next page according to the previously found number.The behavior of a default Assistant can be written like that:

       final Assistant assistant;

       ...

       assistant.setForwardPageCallback(new Assistant.ForwardPage() {
           public int onForward(Assistant source, int current) {
               return (current + 1);
           }
       });

  If you are researching the GTK API documentation, see `(*GtkAssistantPageFunc)`. Creating and invoking this "forward" signal is how java-gnome has implemented the function pointer expected by `gtk_assistant_set_forward_page_func()`.

  Since:
    4.0.17

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `onForward(Assistant source, int currentPage)`

- - ### Method Detail

    - #### onForward

          int onForward(Assistant source,
                      int currentPage)